---
title: CSSVariableReferenceValue()
slug: Web/API/CSSVariableReferenceValue/CSSVariableReferenceValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSVariableReferenceValue
  - Constructor
  - Houdini
  - NeedsExample
  - Reference
---
<div>{{draft}}{{APIRef("CSSOM")}}{{SeeCompatTable}}</div>

<p class="summary">Creates a new {{domxref('CSSVariableReferenceValue')}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>new CSSVariableReferenceValue(<var>variable</var>[, <var>fallback</var>]])
</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><var>variable</var></dt>
 <dd>
 <p>A <a href="/en-US/docs/Web/CSS/--*">custom property name</a>.</p>
 </dd>
 <dt><var>fallback</var></dt>
 <dd>
 <p>Optional. A <a href="/en-US/docs/Web/CSS/Using_CSS_custom_properties#Custom_property_fallback_values">custom property fallback value</a>.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssvariablereferencevalue-cssvariablereferencevalue','CSSVariableReferenceValue()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSVariableReferenceValue.CSSVariableReferenceValue")}}</p>

<dl>
 <dt><var>variable</var></dt>
 <dd>
 <p>A CSS <a href="/en-US/docs/Web/CSS/--*">custom property</a></p>
 </dd>
 <dt><var>fallback</var></dt>
 <dd>
 <p>Optional. A <a href="/en-US/docs/Web/CSS/Using_CSS_custom_properties#Custom_property_fallback_values">custom property fallback value</a>.</p>
 </dd>
</dl>
